# $Revision: 1.15 $, $Date: 2008/11/25 11:33:31 $

# TODO:
# - If you have any idea how to PLDize this program, do it:)
# - in first run eagle.key should be writable for user or use 
#   sudo /usr/lib/eagle-light/bin/eagle to change license
# - Is banner in rpm needed to introduce how to run it?

Summary:	Eagle Layout Editor
Summary(pl.UTF-8):	Edytor płytek drukowanych Eagle
Name:		eagle-light
Version:	5.3.0
Release:	1
License:	Freeware
Group:		X11/Applications/Science
Source0:	ftp://ftp.cadsoft.de/pub/program/5.3/eagle-lin-%{version}.run
# Source0-md5:	023c09d7e8adff66f84395a1bed0f4cc
Source1:	ftp://ftp.cadsoft.de/pub/program/5.3/elektro-tutorial.pdf
# Source1-md5:	b17cf06236abf3057d27e0f883cdf4b2
Source2:        %{name}.desktop
URL:		http://www.cadsoft.de/freeware.htm
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _eagledir %{_libdir}/eagle-light
# binutils have problems to strip bin/eagle so need disable striping
%define no_install_post_strip 1

%description
Eagle Layout Editor. Limitations:
- The useable board area is limited to 100 x 80 mm (4 x 3.2 inches).
- Only two signal layers can be used (Top and Bottom).
- The schematic editor can only create one sheet.
To run Eagle, you need licence key. Freeware Licence key is in:
/usr/share/eagle-light/bin/

%description -l pl.UTF-8
Edytor płytek drukowanych Eagle. Ograniczenia:
- Obszar płytki jest ograniczony do 100 x 80 mm (4 x 3.2 cale)
- Tylko dwie sygnałowe warstwy mogą być używane (wierzchnia i spodnia)
- Edytor schematów może stworzyć jeden arkusz
Aby uruchomic Eagle, potrzebny jest klucz licencyjny. Klucz licencyjny
Freeware znajduje się w katalogu:
/usr/share/eagle-light/bin/

%prep
%setup -q -c -T

sh %{SOURCE0} `pwd`
mv -f eagle-%{version}/* .
rm -rf eagle-%{version}

cp -f %{SOURCE1} doc

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_eagledir}/{bin,cam,dru,lbr,projects,scr,ulp} \
	$RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_pixmapsdir} \
	$RPM_BUILD_ROOT%{_desktopdir}

cp -af doc/eagle.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -af bin/eagle $RPM_BUILD_ROOT%{_eagledir}/bin
cp -af bin/eagleicon50.png $RPM_BUILD_ROOT%{_pixmapsdir}/eagle.png
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
# some doc files must be in bin dir because eagle use them internally
cp -af bin/{eagle.def,freeware.key,platforms-*.png,*.qm,*.htm} $RPM_BUILD_ROOT%{_eagledir}/bin
touch $RPM_BUILD_ROOT%{_eagledir}/bin/eagle.key
cp -arf cam/* $RPM_BUILD_ROOT%{_eagledir}/cam
cp -arf dru/* $RPM_BUILD_ROOT%{_eagledir}/dru
cp -arf lbr/* $RPM_BUILD_ROOT%{_eagledir}/lbr
cp -arf projects/* $RPM_BUILD_ROOT%{_eagledir}/projects
cp -arf scr/* $RPM_BUILD_ROOT%{_eagledir}/scr
cp -arf ulp/* $RPM_BUILD_ROOT%{_eagledir}/ulp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/UPDATE_* doc/README_* doc/library_*.txt doc/*.pdf
%{_mandir}/*
%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop
%dir %{_eagledir}
%dir %{_eagledir}/bin
%attr(755,root,root) %{_eagledir}/bin/eagle
# I'm not sure that eagle.key should have 665 atributtes
#%attr(665,root,users)
%{_eagledir}/bin/eagle.key
%{_eagledir}/bin/freeware.key
%{_eagledir}/bin/eagle.def
%{_eagledir}/bin/*.png
%{_eagledir}/bin/*.htm
%lang(de) %{_eagledir}/bin/*_de.qm
# - all files should be in folders ../ to eagle binary. Stupid :/
%{_eagledir}/cam
%{_eagledir}/dru
%{_eagledir}/lbr
%{_eagledir}/projects
%{_eagledir}/scr
%{_eagledir}/ulp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eagle-light.spec,v $
Revision 1.15  2008/11/25 11:33:31  duddits
- up to 5.3.0

Revision 1.14  2008/10/20 09:42:29  hawk
- release 1

Revision 1.13  2008/10/08 18:36:57  duddits
- fix URL
- minor typos

Revision 1.12  2008/06/23 11:54:52  cactus
- up to 5.0.0
- lang(de) files in %lang
- moved back to /usr/lib/eagle-light
- we want documentation in docs dir
- rel 0.8
- updated TODO

Revision 1.11  2008-02-18 16:18:07  cactus
- updated TODO

Revision 1.10  2007-06-03 20:50:54  prism
- 4.16r2

Revision 1.9  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.7  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.6  2005/06/30 19:59:30  blekot
- up to 4.15
- still lots to do (see TODO)

Revision 1.5  2005/06/06 12:33:00  blekot
- up to 3.14
- NFY!!!

Revision 1.4  2005/03/11 19:54:48  qboosh
- pl fixes
- broken files even more (they required rewrite anyway)
  IN NO WAY /usr CAN BE MADE WRITABLE TO USERS!

Revision 1.3  2005/03/11 16:17:19  blekot
- some modifications to proper run with Freeware licence key

Revision 1.2  2005/03/10 21:09:31  blekot
- small fix

Revision 1.1  2005/03/10 21:06:13  blekot
- new
